%bcond_without check

%global goipath         github.com/xdg/scram
%global commit          7eeb5667e42c09cb51bf7b7c28aea8c56767da90

%gometa

%global common_description %{expand:
Package Scram provides client and server implementations of the Salted Challenge
Response Authentication Mechanism (SCRAM) described in RFC-5802 and RFC-7677.

It includes both client and server side support.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Go implementation of rfc-5802 salted challenge response authentication mechanism

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/xdg/stringprep)
BuildRequires:  golang(golang.org/x/crypto/pbkdf2)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
